LogoThreatmatic

Sign Up With Email And Password

POST
/sign-up/email

Sign up a user using email and password

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://console.threatmatic.ai/api/auth/sign-up/email" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "email": "string",    "password": "string"  }'
{
  "token": "string",
  "user": {
    "id": "string",
    "email": "user@example.com",
    "name": "string",
    "image": "http://example.com",
    "emailVerified": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}